CVE-2020-16589

NameCVE-2020-16589
DescriptionA head-based buffer overflow exists in Academy Software Foundation OpenEXR 2.3.0 in writeTileData in ImfTiledOutputFile.cpp that can cause a denial of service via a crafted EXR file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2491-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openexr (PTS)stretch2.2.0-11vulnerable
stretch (security)2.2.0-11+deb9u4fixed
buster, buster (security)2.2.1-4.1+deb10u1vulnerable
bullseye2.5.4-2fixed
bookworm, sid2.5.7-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openexrsourcestretch2.2.0-11+deb9u2DLA-2491-1
openexrsource(unstable)2.5.3-2

Notes

[buster] - openexr <no-dsa> (Minor issue)
https://github.com/AcademySoftwareFoundation/openexr/commit/6bb36714528a9563dd3b92720c5063a1284b86f8 (v2.4.0-beta.1)
https://github.com/AcademySoftwareFoundation/openexr/issues/494

Search for package or bug name: Reporting problems